Strategy
Keywords: yacs.net.Strategy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.net
Class Strategy

    java.lang.Object
      yacs.net.Strategy

public class Strategy
extends java.lang.Object

Klasse zur Repräsentation einer Constraint-Lösungsstrategie von YACS.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)

Constructor Summary
`Strategy(java.lang.String strategyName)` Konstruktor -- Benötigt den Namen der Strategie.

Method Summary
`java.util.List` | `getConsistencySolvers()` Liefert die Liste der in dieser Strategie spezifizierten Constraint-Solver zur Konsistenzherstellung (enthält Instanzen der Klasse `yacs.Solver.ConsistencySolver`).
`java.util.List` | `getPreprocessingSolvers()` Liefert die Liste der in dieser Strategie spezifizierten Constraint-Solver zum Preprozessing (enthält Instanzen der Klasse `yacs.Solver.PreprocessingSolver`).
`java.util.List` | `getSearchSolvers()` Liefert die Liste der in dieser Strategie spezifizierten Constraint-Solver zur Lösungssuche (enthält Instanzen der Klasse `yacs.Solver.SearchSolver`).
`java.lang.String` | `getStrategyName()` Liefert den Namen der Constraint-Lösungsstragie.
`java.lang.String` | `toString()` Rückgabe der Strategie als `String` (für Debugging).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Strategy

    public Strategy(java.lang.String strategyName)

  Konstruktor -- Benötigt den Namen der Strategie.

Parameters:
  `strategyName` - String

Method Detail

### getStrategyName

    public java.lang.String getStrategyName()

  Liefert den Namen der Constraint-Lösungsstragie.

  Returns:
    String

### getPreprocessingSolvers

    public java.util.List getPreprocessingSolvers()

  Liefert die Liste der in dieser Strategie spezifizierten Constraint-Solver zum Preprozessing (enthält Instanzen der Klasse `yacs.Solver.PreprocessingSolver`).

  Returns:
    List

### getConsistencySolvers

    public java.util.List getConsistencySolvers()

  Liefert die Liste der in dieser Strategie spezifizierten Constraint-Solver zur Konsistenzherstellung (enthält Instanzen der Klasse `yacs.Solver.ConsistencySolver`).

  Returns:
    List

### getSearchSolvers

    public java.util.List getSearchSolvers()

  Liefert die Liste der in dieser Strategie spezifizierten Constraint-Solver zur Lösungssuche (enthält Instanzen der Klasse `yacs.Solver.SearchSolver`).

  Returns:
    List

### toString

    public java.lang.String toString()

  Rückgabe der Strategie als `String` (für Debugging).

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD